Skip to main content
GET
/
v1
/
{tenantUUID}
/
market
/
payouts_invoices
List Payouts Invoices
curl --request GET \
  --url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/payouts_invoices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "uuid": "string",
      "invoice_number": "string",
      "tenant_uuid": "string",
      "total": 0,
      "fees": 0,
      "status": "paid",
      "date": 0,
      "date_paid": 0,
      "payment_confirmation_uuid": "string",
      "items": [
        {
          "uuid": "string",
          "type": "payout",
          "description": "string",
          "period_start": 0,
          "period_end": 0,
          "amount": 0,
          "cidr": 0,
          "address": "string",
          "service_uuid": "string",
          "start": 0,
          "end": 0
        }
      ]
    }
  ],
  "meta": {
    "current_page": 0,
    "from": 0,
    "last_page": 0,
    "per_page": 0,
    "to": 0,
    "total": 0
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Query Parameters

uuid
string

Filter By Payout Invoice UUID

invoice_number
string

Filter By Payout Invoice Number

service_uuid
string

Filter By Service UUID

subnet
string

Filter By Subnet

total
number<float>

Filter By Total

status
enum<string>

Filter by Status

Available options:
paid,
unpaid
start
integer

Filter by Start period date in unix timestamp format which is greater or equal to input

end
integer

Filter By End period date in unix timestamp format which is lower or equal to input

sort
string

Sort By Key Expects the value to be list of keys sepparated by commas. Default sort direction for each individual key is ASCENDING, but prefix '-' can be set for each individual key to indicate DESCENDING direction. Valid keys are: ['invoice_number','status','date','date_paid','total','address','cidr','start','end']. Example: '-cidr,address' - will sort descendingly by first and then by

for services with same

page
integer
default:1

List Page

per_page
integer
default:15

Items Per Page

Response

Payout Invoices Collection

data
object[]
meta
object